<evt-main-header (secondaryContentSelected)="toggleModal($event)"></evt-main-header>
<div class="dashboard">
    <!-- TEMP just to TEST pane component -->
    <router-outlet></router-outlet>
</div>
<evt-modal *ngIf="modalShown === 'bookmark'" 
    [modalId]="'bookmark'" (close)="toggleModal('bookmark')">
    <span title> {{ 'BookmarkToShare' | translate:lang }} </span>
    <p class="p-3" body> <a [href]="getBookmark()" target="_blank">{{ getBookmark() }}</a> </p>
</evt-modal>

<evt-modal *ngIf="modalShown === 'globalInfo'" 
    [fixedHeight]="true"
    [modalId]="'globalInfo'" (close)="toggleModal('globalInfo')">
    <span title> {{ 'ProjectInfo' | translate:lang }} </span>
    <p class="p-3" body> INFO </p>
</evt-modal>

<evt-modal *ngIf="modalShown === 'lists'" 
    [fixedHeight]="true"
    [modalId]="'lists'" (close)="toggleModal('lists')">
    <span title> {{ 'Lists' | translate:lang }} </span>
    <p body class="p-0 m-0">
        <evt-named-entities-list></evt-named-entities-list>
    </p>
</evt-modal>

<evt-modal *ngIf="modalShown === 'shortcuts'" 
    [modalId]="'shortcuts'" (close)="toggleModal('shortcuts')">
    <span title> {{ 'Shortcuts' | translate:lang }} </span>
    <p class="p-3" body> SHORTCUTS </p>
</evt-modal>
